For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeveloper ForumLogin
  • Overview
    • Introduction
    • Getting Started
    • Integration Example (PSA)
    • Authentication
    • Error Handling
    • Pagination
    • Filtering
    • Ordering
    • Rate Limits
    • Permissions
    • Webhooks
    • MCP Server
    • Versioning
    • Changelog
    • Support
  • API v1 Reference
    • Projects Overview
    • Tasks Overview
    • Time Tracking Overview
    • Documents Overview
    • Search Overview
    • Companies Overview
    • Users Overview
      • GETReturns the currently logged-in user and workspace.
      • GETReturns all users with their details.
      • GETTries to retrieve user name and gender for the specified email.
      • GETReturns the currently logged-in user and workspace.
      • GETReturns the user with the specified id.
      • PUTUpdates the user with the specified id.
      • DELDeletes the user with the specified id.
      • POSTActivates the user with the specified id.
      • GETReturns the contact infos of the user with the specified id.
      • POSTCreates a new contact info for the user with the specified id.
      • GETReturns the contact info of the user with the specified id.
      • PUTUpdates the contact info of the user with the specified id.
      • DELDeletes the contact info of the user with the specified id.
      • POSTDeactivates the user with the specified id.
      • POSTArchives or unarchives the user with the specified id.
    • Files & Images Overview
    • Custom Fields Overview
    • Workload & Planning Overview
    • Project Templates Overview
    • Workflows Overview
    • Login & Access Overview
    • API Management Overview
LogoLogo
SupportDeveloper ForumLogin
API v1 ReferenceUsers

Tries to retrieve user name and gender for the specified email.

GET
https://api.awork.com/api/v1/users/autofill/:email
GET
/api/v1/users/autofill/:email
$curl https://api.awork.com/api/v1/users/autofill/email \
> -H "Authorization: Bearer <token>"
200Retrieved
1{
2 "firstName": "Carla",
3 "lastName": "Creative",
4 "gender": "female"
5}
Returns the first name, last name and gender of the given email address. <Check title="Required Permissions" icon="key">Any authenticated user.</Check>
Was this page helpful?
Previous

Returns the currently logged-in user and workspace.

Next
Built with

Returns the first name, last name and gender of the given email address.

Required Permissions
Any authenticated user.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

emailstringRequired
The user's email.

Response

OK
firstNamestring or null0-1000 characters
The firstname of the user.
lastNamestring or null0-1000 characters
The lastname of the user.
genderstring or null0-25 characters
The gender of the user.